MeltingComputationMethod
Date: 2014-08-08

melting.methodInterfaces

## Interface MeltingComputationMethod

- All Known Implementing Classes:
    Ahsen01, ApproximativeMode, MarmurChester62_93, MarmurChester62_93_corr, MarmurSchildkrautDoty, NearestNeighborMode, Owen69, Santalucia98, Wetmur91, WetmurDNA91, WetmurDNARNA91, WetmurRNA91

      public interface MeltingComputationMethod

  This interface is implemented by classes which contain methods to compute the melting temperature.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ThermoResult` | `computesThermodynamics()` This method is called to compute the melting temperature.
    `RegisterMethods` | `getRegister()` This method is called to get the RegisterMethod of the implemented class.
    `boolean` | `isApplicable()` This method is called to check that the options entered by the users are applicable with the used model (class).
    `void` | `setUpVariables(java.util.HashMap<java.lang.String,java.lang.String> options)` Creates the Environment object and set up the variables of the chosen model.

- - ### Method Detail

    - #### computesThermodynamics

          ThermoResult computesThermodynamics()

      This method is called to compute the melting temperature.
      Returns:
        ThermoResult containing the computed enthalpy, entropy and melting temperature.

    - #### isApplicable

          boolean isApplicable()

      This method is called to check that the options entered by the users are applicable with the used model (class).
      Returns:
        false if at least one chosen option makes the model completely false. If one chosen option may lead to less reliable results, a warning message will appear. (ex : wrong hybridization type)

    - #### setUpVariables

          void setUpVariables(java.util.HashMap<java.lang.String,java.lang.String> options)

      Creates the Environment object and set up the variables of the chosen model.
      Parameters:
        `options` - containing all the options (default options and options entered by the user)

    - #### getRegister

          RegisterMethods getRegister()

      This method is called to get the RegisterMethod of the implemented class.
      Returns:
        the RegisterMethod of the implemented class.